<html>
<head>
<title>Ogre::Win32Context Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Win32Context.html">Win32Context</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Win32Context Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Win32Context" --><!-- doxytag: inherits="Ogre::GLContext" -->
<p><code>#include &lt;<a class="el" href="OgreWin32Context_8h_source.html">OgreWin32Context.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Win32Context:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Win32Context__inherit__graph.gif" border="0" usemap="#Ogre_1_1Win32Context_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Win32Context_inherit__map" id="Ogre_1_1Win32Context_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context." alt="" coords="16,5,136,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Win32Context-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#a2d751c9a0593c2637d5bb3eba8d7b614">Win32Context</a> (HDC HDC, HGLRC Glrc)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#ad9815a3c7611621bba3f194b278a70c5">~Win32Context</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#a5f1d94dbef0a4021eb4d93eefb59e7c5">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context.">GLContext</a>.  <a href="#a5f1d94dbef0a4021eb4d93eefb59e7c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#a02724e124a37133de86907ad3c4a65e9">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context.">GLContext</a>.  <a href="#a02724e124a37133de86907ad3c4a65e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#a6e1ba98fb929a6d7b5ad67a20ee54241">clone</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#aa5a289fe65c137eaf0ba5760fa88c5a1">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#aa5a289fe65c137eaf0ba5760fa88c5a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">setInitialized</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HDC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#a450a0b4de2e698c0786d9389e9a2bed9">mHDC</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HGLRC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32Context.html#a47bd9846a04aadd79a23e5be48fb3ba0">mGlrc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">initialized</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreWin32Context_8h_source.html#l00036">36</a> of file <a class="el" href="OgreWin32Context_8h_source.html">OgreWin32Context.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2d751c9a0593c2637d5bb3eba8d7b614"></a><!-- doxytag: member="Ogre::Win32Context::Win32Context" ref="a2d751c9a0593c2637d5bb3eba8d7b614" args="(HDC HDC, HGLRC Glrc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Win32Context.html#a2d751c9a0593c2637d5bb3eba8d7b614">Ogre::Win32Context::Win32Context</a> </td>
          <td>(</td>
          <td class="paramtype">HDC&#160;</td>
          <td class="paramname"><em>HDC</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">HGLRC&#160;</td>
          <td class="paramname"><em>Glrc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad9815a3c7611621bba3f194b278a70c5"></a><!-- doxytag: member="Ogre::Win32Context::~Win32Context" ref="ad9815a3c7611621bba3f194b278a70c5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Win32Context.html#ad9815a3c7611621bba3f194b278a70c5">Ogre::Win32Context::~Win32Context</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6e1ba98fb929a6d7b5ad67a20ee54241"></a><!-- doxytag: member="Ogre::Win32Context::clone" ref="a6e1ba98fb929a6d7b5ad67a20ee54241" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1Win32Context.html#a6e1ba98fb929a6d7b5ad67a20ee54241">Ogre::Win32Context::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1GLContext.html#a6528ca1a4be3fc55ca68e1773b63d1ca">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a02724e124a37133de86907ad3c4a65e9"></a><!-- doxytag: member="Ogre::Win32Context::endCurrent" ref="a02724e124a37133de86907ad3c4a65e9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Win32Context.html#a02724e124a37133de86907ad3c4a65e9">Ogre::Win32Context::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context.">GLContext</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1GLContext.html#a39f9c6f6929b3df7947132bb75c3c6c2">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a996fa8eb69f0ad3fd5eb210135a4af72"></a><!-- doxytag: member="Ogre::Win32Context::getInitialized" ref="a996fa8eb69f0ad3fd5eb210135a4af72" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">Ogre::GLContext::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa5a289fe65c137eaf0ba5760fa88c5a1"></a><!-- doxytag: member="Ogre::Win32Context::releaseContext" ref="aa5a289fe65c137eaf0ba5760fa88c5a1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Win32Context.html#aa5a289fe65c137eaf0ba5760fa88c5a1">Ogre::Win32Context::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a5f1d94dbef0a4021eb4d93eefb59e7c5"></a><!-- doxytag: member="Ogre::Win32Context::setCurrent" ref="a5f1d94dbef0a4021eb4d93eefb59e7c5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Win32Context.html#a5f1d94dbef0a4021eb4d93eefb59e7c5">Ogre::Win32Context::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context.">GLContext</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1GLContext.html#ab53b895744ab887886807918847ff496">Ogre::GLContext</a>.</p>

</div>
</div>
<a class="anchor" id="ae18d155f61acb28196fb24d230af27cd"></a><!-- doxytag: member="Ogre::Win32Context::setInitialized" ref="ae18d155f61acb28196fb24d230af27cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">Ogre::GLContext::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6e2809a9ff6ad0d06dc52dc82d7a0357"></a><!-- doxytag: member="Ogre::Win32Context::initialized" ref="a6e2809a9ff6ad0d06dc52dc82d7a0357" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">Ogre::GLContext::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00071">71</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a47bd9846a04aadd79a23e5be48fb3ba0"></a><!-- doxytag: member="Ogre::Win32Context::mGlrc" ref="a47bd9846a04aadd79a23e5be48fb3ba0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HGLRC <a class="el" href="classOgre_1_1Win32Context.html#a47bd9846a04aadd79a23e5be48fb3ba0">Ogre::Win32Context::mGlrc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWin32Context_8h_source.html#l00054">54</a> of file <a class="el" href="OgreWin32Context_8h_source.html">OgreWin32Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a450a0b4de2e698c0786d9389e9a2bed9"></a><!-- doxytag: member="Ogre::Win32Context::mHDC" ref="a450a0b4de2e698c0786d9389e9a2bed9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HDC <a class="el" href="classOgre_1_1Win32Context.html#a450a0b4de2e698c0786d9389e9a2bed9">Ogre::Win32Context::mHDC</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWin32Context_8h_source.html#l00053">53</a> of file <a class="el" href="OgreWin32Context_8h_source.html">OgreWin32Context.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWin32Context_8h_source.html">OgreWin32Context.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:21
</p>
</body>
</html>
